# Accenture Task

This project included  **MVVM architecture** with ** RxJava** , **Room** database for saving data and **Retrofit** for network layer ,and for sure **Dagger**.


**Features:** 

Fetch weather information from OpenWeatherMap api by current location , save and set it to view.

1-Pull down to add new item from api

2-Swipe left or right to remove an item from db

3- Every 30 seconds fetching new data.

